<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">
<h:head>
	<title>Login</title>
	<h:outputStylesheet library="css" name="bootstrap.min.css"></h:outputStylesheet>
	<style>
	body{
		max-height:100vw !important;
		background-image: url(#{request.contextPath}/resources/img/login.jpg);
		background-repeat: no-repeat;
		background-size: 100% 100%;
		background-attachment: fixed;	
	}
	#opa {
	  color:white !important;
	}
	.card{
		background-color: rgba(0,0,0,0.5) !important
	}
	.vertical-center {
	  min-height: 100%;  /* Fallback for browsers do NOT support vh unit */
	  min-height: 100vh; /* These two lines are counted as one :-)       */
	  min-width:100%;
	  display: flex;
	  width: 50%;
	  margin: 0 auto;
	  align-items: center;
	}
	</style>
</h:head>
<h:body>
<div id="opa" class="vertical-center">
			<div class="card">
				<h5 class="card-header info-color white-text text-center py-4">
					<strong>Sign in</strong>
				</h5>
				<!--Card content-->
				<div class="card-body px-lg-5 pt-0">
			    	<!-- Form -->
				    <h:form styleClass="text-center" id="loginForm">
						<!-- Email -->
						<div class="md-form">
							<label for="materialLoginFormEmail">E-mail</label>
							<h:inputText value="#{UserBean.email}" id="materialLoginFormEmail" styleClass="form-control" />
						</div>
				      <!-- Password -->
						<div class="md-form">
				      		<label for="materialLoginFormPassword">Password</label>
							<h:inputSecret value="#{UserBean.pwd}" id="materialLoginFormPassword" styleClass="form-control" />
						</div>
				      <!-- Sign in button -->
				      <h:commandButton styleClass="btn btn-outline-info btn-rounded btn-block my-4 waves-effect z-depth-0" action="#{UserBean.login()}" value="Entrar" />
				    </h:form>
			  	</div>
			</div>
		</div>
</h:body>
</html>